// JawEx5.java

import ch.aplu.jaw.*;

public class JawEx5
{
  // Native transfer data block
  private String str = "abc-äöü";
  private int[] ary = {1, 2, 3};

  public JawEx5()
  {
    NativeHandler nh =
      new NativeHandler("s:\\myjni\\data\\release\\data.dll",
      this);

    System.out.println("Sending string to C++...");
    nh.invoke(0);

    nh.invoke(1);
    System.out.println("Got back from C++ (UTF8):");
    System.out.println(str);

    nh.invoke(2);
    System.out.println("Got back from C++ (MBCS):");
    System.out.println(str);

    nh.invoke(3);
    System.out.println("Got back from C++ (Unicode):");
    System.out.println(str);

    System.out.println("Sending array to C++...");
    nh.invoke(4);
    System.out.println("Got back from C++:");
    for (int i = 0; i < 3; i++)
      System.out.print(ary[i] + ", ");

    nh.destroy();
    System.exit(0);
  }

  public static void main(String args[])
  {
    new JawEx5();
  }
}
