// MouseEventHandler.h

#ifndef __MouseEventHandler_h__
#define __MouseEventHandler_h__

#include "jaw.h"

// ----------------- class MouseEventHandler -----------------
class MouseEventHandler: public WindowHandler
{
public:
  MouseEventHandler(JNIEnv * env, jobject obj);

protected:
  virtual bool wantMsg(UINT uMsg);
  virtual bool evMsg(HWND hWnd, UINT uMsg, WPARAM wParam,
                           LPARAM lParam);
private:
  void sendMouseMessage(int message, int x, int y);
};

#endif
