// JNIThread.h

#ifndef __JNIThread_h__
#define __JNIThread_h__


#include <windows.h>
#include <jni.h>

// class WindowHandler;  // Forward decl

class JNIThread
{
friend class WindowHandler;  // Forward decl

public:
   JNIThread(WindowHandler * pWindowHandler, int priority); // Ctor
   DWORD getThreadId() {return _threadId;}
   HANDLE getThreadHandle() {return _hThread;}

private:
   static DWORD WINAPI ThreadProc(LPVOID lpParameter);
   DWORD _threadId;
   HANDLE _hThread;
};

#endif
