// JawEx2.java
// Use free audio library irrKlang from www.ambiera.com
import javax.swing.JOptionPane;
import ch.aplu.jaw.*;

public class JawEx2
{
  // Native variable
  private String audiofile = "c:/scratch/bamboleo.mp3";
  
  public JawEx2()
  {
    NativeHandler nh = new NativeHandler(
      "s:\\myjni\\audio\\release\\audio.dll", this);
    if (nh.invoke(0) == -1)
    {
      JOptionPane.
        showMessageDialog(null, 
                          "Could not start IrrKlang engine", 
                          "Fatal Error", 
                          JOptionPane.ERROR_MESSAGE);
      nh.destroy();
      System.exit(-1);
    }

    JOptionPane.
      showMessageDialog(null, 
                        "Press OK to start", 
                        "Trying to play " + audiofile + "...",
                        JOptionPane.INFORMATION_MESSAGE);
    nh.startThread();  // Start engine in high priority thread
    JOptionPane.
      showMessageDialog(null, 
                        "Press OK to stop", 
                        "Playing...", 
                        JOptionPane.INFORMATION_MESSAGE);

    nh.destroy();
    System.exit(0);
  }

  public static void main(String args[])
  {
    new JawEx2();
  }
}
