// JawEx3.java
// Create native semi transparent window

import ch.aplu.jaw.*;
import javax.swing.JOptionPane;


public class JawEx3
{
  public JawEx3()
  {
    NativeHandler nh = new NativeHandler(
        "s:\\myjni\\trans\\release\\trans.dll", // Path of DLL
        "Transparent window",               // Window title
        10, 20,                             // Window position
        260, 200,                           // Window size
        NativeHandler.WS_EX_TRANSPARENT);   // Window style
    
    String valueStr = "";
    int value;

    while (valueStr != null)
    {
      valueStr = JOptionPane.showInputDialog(
        null, "Transparency (0..100)",
        "Native Window Transparency",
        JOptionPane.QUESTION_MESSAGE);
      try
      {
        value = Integer.parseInt(valueStr);
        if (value < 0 || value > 100)
          throw new NumberFormatException();
      } 
      catch (NumberFormatException ex)
      {
        continue;
      }
      nh.showWindow(value);
    }
    nh.destroy();
    System.exit(0);
  }
    
  public static void main(String args[])
  {
    new JawEx3();
  }
}
