// AudioHandler.h

#ifndef __AudioHandler_h__
#define __AudioHandler_h__

#include "jaw.h"
#include "irrklang.h"
using namespace irrklang;

// ----------------- class AudioHandler ----------------------
class AudioHandler : public WindowHandler
{
public:
   AudioHandler(JNIEnv * env, jobject obj)
    : WindowHandler(env, obj)
   {}

protected:
   virtual bool wantThreadMsg(UINT uMsg);
   virtual void evThreadMsg(HWND hWnd, UINT uMsg, 
	                        WPARAM wParam, LPARAM lParam);
private:
   int invoke(int tag);
   ISoundEngine * engine;
   const char * audiofile;

};

#endif