// JawSampleHandler.cpp

#include "JawSampleHandler.h"
#include <iostream>


using namespace std;

// ----------------- Selector  ------------------------------
WindowHandler * 
  selectWindowHandler(JNIEnv * env, jobject obj, int select)
{
  return new JawSampleHandler(env, obj);
}

// ----------------- class JawSampleHandler -----------------
int JawSampleHandler::invoke(int val)
{
  // Read Java variables
  int n = JNIVar<int>(_exposedObj, "n").get();
  double x = JNIVar<double>(_exposedObj, "x").get();

  // Perform operations
  val++;
  n++;
  x++;
  cout << "new n: " << n << endl;



  // Write back Java variables
  JNIVar<int>(_exposedObj, "n").set(n);
  JNIVar<double>(_exposedObj, "x").set(x);

  return val;
}

