// JniEx1.java

import javax.swing.JOptionPane;

public class JniEx1
{
  private native void beep(int frequency);

  public JniEx1()
  {
    System.load("s:\\myjni\\beep\\release\\beep.dll");
    String valueStr = "";
    int value;

    while (valueStr != null)
    {
      valueStr = JOptionPane.showInputDialog(
        null, "Frequenz in Hertz? (100...10000)",
        "Windows System Beep",
        JOptionPane.QUESTION_MESSAGE);
      try
      {
        value = Integer.parseInt(valueStr);
        if (value < 100 || value > 10000)
          throw new NumberFormatException();
      } 
      catch (NumberFormatException ex)
      {
        continue;
      }
      beep(value);
    }
    System.exit(0);
  }

  public static void main(String args[])
  {
    new JniEx1();
  }
}
