// JniEx2.java

import javax.swing.JOptionPane;

public class JniEx2
{
  private native boolean openKey(String key);
  private native String queryValue(String valueName);
  private native void closeKey();

  public JniEx2()
  {
    System.load("s:\\myjni\\reg\\release\\reg.dll");
    String key = 
         "HARDWARE\\DESCRIPTION\\System\\CentralProcessor\\0";
    String valueName = "ProcessorNameString";
    
    if (!openKey(key))
    {
      JOptionPane.
        showMessageDialog(null, 
                          "Can't open registry key:\n" + key, 
                          "Fatal Error", 
                          JOptionPane.ERROR_MESSAGE);
      System.exit(0);
    }
    String value = queryValue(valueName);
    if (value == null)
    {
      JOptionPane.
        showMessageDialog(null, 
                          "Can't read registry entry:\n" + valueName, 
                          "Fatal Error", 
                          JOptionPane.ERROR_MESSAGE);
      System.exit(0);
    }
    closeKey();
    JOptionPane.
      showMessageDialog(null, 
                        "Processor Name: " + value, 
                        "Registry Read", 
                        JOptionPane.INFORMATION_MESSAGE);
  }

  public static void main(String args[])
  {
    new JniEx2();
  }
}
